Bug 120504 - 2.1U4 beta: olympic driver fails to recover from cablepull
Summary: 2.1U4 beta: olympic driver fails to recover from cablepull
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Baron
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-09 16:14 UTC by Wendy Hung
Modified: 2013-03-06 05:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-27 02:57:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (776 bytes, text/plain)
2004-04-09 16:16 UTC, Wendy Hung
no flags Details
dmesg (872 bytes, text/plain)
2004-04-09 16:16 UTC, Wendy Hung
no flags Details

Description Wendy Hung 2004-04-09 16:14:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; 
H010818)

Description of problem:
In a single CPU machine using the uni-processor kernel (2.4.9-e.39) 
the  olympic driver will not recover from a lobe fault (cable 
pull).   

Note: There is a known issue where if the cable was pulled on an SMP 
machine the box would hang. This does not happen with the 
uniprocessor machine - the box does not hang at this point.
 


 
   


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Pull tokenring cable.
2. Replace cable and attempt to recover.
3.
    

Actual Results:  The olympic driver does not recover when the cable 
is replaced.   If the user attempts to ifconfig the token ring 
adapter down in an attempt to  recover the box then hangs.  

Expected Results:  olympic driver recovers.

Additional info:

Comment 1 Wendy Hung 2004-04-09 16:16:15 UTC
Created attachment 99276 [details]
/var/log/messages

Comment 2 Wendy Hung 2004-04-09 16:16:32 UTC
Created attachment 99277 [details]
dmesg

Comment 3 Wendy Hung 2004-09-09 20:08:52 UTC
This was reproduced with 2.1 U5 gold code.
Is this a bug that will not get fixed (being that it is tokenring)?

Comment 4 Wendy Hung 2004-10-27 02:57:24 UTC
tokenring is no longer supported.


Note You need to log in before you can comment on or make changes to this bug.